Bug 38396 - Printtool has troubles with SMB share passwords
Summary: Printtool has troubles with SMB share passwords
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool   
(Show other bugs)
Version: 4.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-30 15:24 UTC by Lindsay Todd
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-10 13:59:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lindsay Todd 2001-04-30 15:24:10 UTC
I used printtool to configure an SMB-shared printer.  There is a dollar
sign ($) in the password needed to connect to the share.  The password is
stored in /var/spool/lpd/<QUEUE>/script.cfg, apparently a Bourne-shell
script fragment, as a variable assignment.  However, the RHS of the
assignment is double-quoted, with no escaping of the dollar sign. 
Consequently, variable substitution takes place, and the incorrect password
is used.

I can work around this bug by editing the script.cfg file to use single
quotes.  However, if I use printtool to change anything else, this file is
rewritten.

Note that the documentation says nothing about needing to escape dollar
signs, etc...

Comment 1 Tim Waugh 2002-01-25 17:36:12 UTC
I'm pretty sure this is fixed in the current release.



Note You need to log in before you can comment on or make changes to this bug.